
QGIS Application - Bug report #7677

Qgis crashes after dissolving a shapefile

2013-04-22 09:29 AM - Filipe Dias

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Linux Ubuntu 12.04 Easy fix?:

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 16594

Description

1) Load attached shp

2) ftools -> dissolve -> Dissolve all or Dissolve with field "Diss". Select add shp after finishing.

3) Qgis will crash, either immediately or after the user does something (e.g. open a Menu, add a shp etc)

Ubuntu 12.04 64 bits

Message from terminal

Warning: QLayout: Cannot add null widget to QVBoxLayout/mAttributeEditorLayout

Segmentation fault (core dumped)

History

#1 - 2013-04-22 11:40 AM - Borys Jurgiel

It only occurs when you tell QGIS to add the result layer to the TOC, doesn't it?

In this case seems it's duplicate #7674.

#2 - 2013-04-22 02:34 PM - Filipe Dias

- Resolution set to duplicate

- Status changed from Open to Closed

Yes, that's it.

#3 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

Shapes.7z 733 KB 2013-04-22 Filipe Dias
